commit:     256a23eca4c144305a9c3da8b16b5b6e611fc9ba
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 30 21:13:37 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Aug 30 21:34:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=256a23ec

dev-python/oslo-config: 6.4.0 bump for rocky

Package-Manager: Portage-2.3.48, Repoman-2.3.10

 dev-python/oslo-config/Manifest                 |  1 +
 dev-python/oslo-config/oslo-config-6.4.0.ebuild | 76 +++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/oslo-config/Manifest b/dev-python/oslo-config/Manifest
index dc6552d4ec9..6368d70f611 100644
--- a/dev-python/oslo-config/Manifest
+++ b/dev-python/oslo-config/Manifest
@@ -1 +1,2 @@
 DIST oslo-config-5.2.0.tar.gz 130627 BLAKE2B 
7d5e78a7486ea5b24d9eaa488c70c3222da137d230912551e98fdd4a433b3979c2d8841aa4cff3d763ca356ea1f80f2cba13716569ee41e8ff7c4e6511a3d91e
 SHA512 
fa3323926f7f7b1a79e4823dfc102027cb466728500980d9f079c2098c93006b4fdeebb2f09bda41512dc854f5dfe080b727fa2d63910e6fc609d69fab87596c
+DIST oslo-config-6.4.0.tar.gz 145057 BLAKE2B 
0f4533f7551cc6ba4fe2c452376f4480fce21e44403dbbf29350277cb78d809e5e3152074c667034420c9d1706f6aeb940d62d04f626538c17dc9435613a91d5
 SHA512 
d3cd60a1432932e43ec45e05950cfecc75ca3a73c5cc3d8b427b44a8de9e1c3e45ba79cdcda5bbdc1d72f8eb1d2e5cd2bfb9c0ce6c10b66e935541c487878639

diff --git a/dev-python/oslo-config/oslo-config-6.4.0.ebuild 
b/dev-python/oslo-config/oslo-config-6.4.0.ebuild
new file mode 100644
index 00000000000..0efb7c16009
--- /dev/null
+++ b/dev-python/oslo-config/oslo-config-6.4.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Configuration API"
+HOMEPAGE="https://launchpad.net/oslo";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.3[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+               >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+               >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/requests-mock-1.5.0[${PYTHON_USEDEP}]
+               >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.6.6[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.6.7[${PYTHON_USEDEP}]
+               >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/rfc3986-0.3.1[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.12.0[${PYTHON_USEDEP}]
+       virtual/python-enum34[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       use doc && esetup.py build_sphinx
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       rm -rf .testrepository || die "could not remove '.testrepository' under 
${EPTYHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to